## cong-vfs

cong-vfs —

## Synopsis

    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    xmlDocPtr   cong_vfs_load_xml_from_uri      (const gchar *string_uri,
                                                 GtkWindow *parent_window);
    GnomeVFSResult cong_vfs_save_xml_to_uri     (xmlDocPtr doc_ptr,
                                                 GnomeVFSURI *vfs_uri,
                                                 GnomeVFSFileSize *output_file_size);
    gchar*      cong_vfs_get_local_path_from_uri
                                                (GnomeVFSURI *vfs_uri);
    void        cong_vfs_split_vfs_uri          (const GnomeVFSURI *vfs_uri,
                                                 gchar **filename_alone,
                                                 gchar **path);
    void        cong_vfs_split_string_uri       (const gchar *string_uri,
                                                 gchar **filename_alone,
                                                 gchar **path);
    gchar*      cong_vfs_extract_short_name     (const gchar *string_uri);

## Description

## Details

### cong_vfs_new_buffer_from_file ()

    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

TODO: Write me

`filename` : |
`buffer` : |
`size` : |
Returns : |

### cong_vfs_new_buffer_from_uri ()

    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

A routine that tries to syncronously load a file into a buffer in memory (surely this exists already somewhere?)

`vfs_uri` : |
`buffer` : |
`size` : |
Returns : |

### cong_vfs_load_xml_from_uri ()

    xmlDocPtr   cong_vfs_load_xml_from_uri      (const gchar *string_uri,
                                                 GtkWindow *parent_window);

TODO: Write me

`string_uri` : |
`parent_window` : |
Returns : |

### cong_vfs_save_xml_to_uri ()

    GnomeVFSResult cong_vfs_save_xml_to_uri     (xmlDocPtr doc_ptr,
                                                 GnomeVFSURI *vfs_uri,
                                                 GnomeVFSFileSize *output_file_size);

TODO: Write me

`doc_ptr` : |
`vfs_uri` : |
`output_file_size` : |
Returns : |

### cong_vfs_get_local_path_from_uri ()

    gchar*      cong_vfs_get_local_path_from_uri
                                                (GnomeVFSURI *vfs_uri);

`vfs_uri` : | a GnomeVFSURI
Returns : | a gchar containing `uri` as a POSIX path, assuming it is valid

### cong_vfs_split_vfs_uri ()

    void        cong_vfs_split_vfs_uri          (const GnomeVFSURI *vfs_uri,
                                                 gchar **filename_alone,
                                                 gchar **path);

TODO: Write me

`vfs_uri` : |
`filename_alone` : |
`path` : |

### cong_vfs_split_string_uri ()

    void        cong_vfs_split_string_uri       (const gchar *string_uri,
                                                 gchar **filename_alone,
                                                 gchar **path);

TODO: Write me

`string_uri` : |
`filename_alone` : |
`path` : |

### cong_vfs_extract_short_name ()

    gchar*      cong_vfs_extract_short_name     (const gchar *string_uri);

TODO: Write me

`string_uri` : |
Returns : |